// ProObjPoly.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "ProObjPoly.h"		// This header.

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjPoly _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjPoly, CFCProObjProperty)

CFCProObjPoly::CFCProObjPoly () : CFCProObjProperty(CFCProObjPoly::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjPoly)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDiBiDjDiDgPiCmMiPiJiKpKiJlLiPiIjHjNiCpAjCmHiJmBiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_INIT

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;
} // CFCProObjPoly::CFCProObjPoly.

CFCProObjPoly::~CFCProObjPoly ()
{
} // CFCProObjPoly::~CFCProObjPoly.

void CFCProObjPoly::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjPoly)
		// _xZkqqHx_iDiBiDiC_xHqqkZx_ - ClassWizard _xZkqqHx_iCmNiClBiCmMiImKjChFiCmJiDhNiDgCiDhDiDjDiDePjHhAiCmMiDhNiDeOiDiNiCpAjCmHiJmBiCnMiClNiCmNiNoNiPjMiClFiCnMiClHiBeC_xHqqkZx_
	//}}AFX_DATA_MAP
} // CFCProObjPoly::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjPoly, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjPoly)
	ON_CBN_SELCHANGE(IDC_POL_CMB_LINK_MOVE_TYPE, OnSelchangePolCmbLinkMoveType)
	ON_BN_CLICKED(IDC_POL_RDO_OPEN_POLYGON, OnPolRdoOpenPolygon)
	ON_BN_CLICKED(IDC_POL_RDO_CLOSE_POLYGON, OnPolRdoClosePolygon)
	ON_BN_CLICKED(IDC_POL_RDO_UNKNOWN_OPEN_POLYGON, OnPolRdoUnknownOpenPolygon)
	ON_BN_CLICKED(IDC_POL_RDO_BGN_LINK_HORZ, OnPolRdoBgnLinkHorz)
	ON_BN_CLICKED(IDC_POL_RDO_BGN_LINK_VERT, OnPolRdoBgnLinkVert)
	ON_BN_CLICKED(IDC_POL_RDO_BGN_LINK_UNKNOWN, OnPolRdoBgnLinkUnknown)
	ON_BN_CLICKED(IDC_POL_RDO_END_LINK_HORZ, OnPolRdoEndLinkHorz)
	ON_BN_CLICKED(IDC_POL_RDO_END_LINK_VERT, OnPolRdoEndLinkVert)
	ON_BN_CLICKED(IDC_POL_RDO_END_LINK_UNKNOWN, OnPolRdoEndLinkUnknown)
	ON_BN_CLICKED(IDC_POL_RDO_BGN_LINK_NONE, OnPolRdoBgnLinkNone)
	ON_BN_CLICKED(IDC_POL_RDO_END_LINK_NONE, OnPolRdoEndLinkNone)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjPoly _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_

